.container {
  width: 100%;
  margin: 0;
  flex-grow: 0;
  background-color: var(--background-color-subtle);
  padding: 0 var(--spacing-100) var(--spacing-100) var(--spacing-100);
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  gap: var(--spacing-50);
}

.container.correct {
  background-color: var(--background-color-success-subtle);
}

.container.incorrect {
  background-color: var(--background-color-error-subtle);
}

.container.partially_correct {
  background-color: var(--background-color-warning-subtle);
}

.container.no_articles,
.container.no_result {
  background-color: var(--background-color-notice-subtle);
}

.container.error {
  background-color: var(--background-color-subtle);
}

.explanation {
  font-weight: var(--font-weight-bold);
}

.explanation.correct {
  color: var(--color-success);
}

.explanation.incorrect,
.explanation.error {
  color: var(--color-error);
}

.explanation.partially_correct {
  color: var(--color-base);
}

.explanation.no_articles,
.explanation.no_result {
  color: var(--color-base);
}

.status {
  display: flex;
}

.icon {
  display: flex;
}

.icon.correct * {
  fill: var(--color-success);
}

.icon.incorrect *,
.icon.error * {
  fill: var(--color-error);
}

.icon.partially_correct * {
  fill: var(--color-warning);
}
